"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Stack = void 0;
class Stack {
    constructor(value) {
        this.stack = [];
        if (value != null)
            this.push(value);
    }
    push(value) {
        const len = this.stack.push(value);
        this.last = value;
        return len;
    }
    pop() {
        const ret = this.stack.pop();
        this.last = this.stack[this.stack.length - 1];
        return ret;
    }
    peek() {
        return this.last;
    }
    some(callback) {
        return this.stack.some(callback);
    }
    includes(value) {
        return this.stack.includes(value);
    }
    values() {
        return this.stack.slice(0);
    }
    get length() {
        return this.stack.length;
    }
    clear() {
        this.stack = [];
        this.last = undefined;
    }
}
exports.Stack = Stack;
