"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.valueHash = void 0;
const deep_hash_1 = require("./deep-hash");
function valueHash(value) {
    const valueType = typeof value.value;
    switch (valueType) {
        case 'string':
        case 'number':
        case 'boolean':
            return value.hash();
    }
    return (0, deep_hash_1.deepHash)(value);
}
exports.valueHash = valueHash;
